Bug 200915 - Initscripts should not try to umount network mounts at the end
Summary: Initscripts should not try to umount network mounts at the end
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 197605
Blocks: 217625
TreeView+ depends on / blocked
 
Reported: 2006-08-01 15:42 UTC by Bill Nottingham
Modified: 2014-03-17 03:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 10:26:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2006-08-18 14:51:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Bill Nottingham 2006-11-20 21:59:59 UTC
Added in CVS, will be in 7.93.26.EL-1.

Comment 4 Miloslav Trmač 2007-01-04 23:41:02 UTC
Can you please provide a specific test case?  Neither downing the interface used
for NFS nor stopping the NFS server causes init.d/halt to hang.

Blindly ignoring NFS mounts in init.d/halt can actually prevent other local
filesystems from unmounting, so I'd like to be sure the change actually fixes
something before potentially breaking other setups.  QE will also need a test
case to ensure the bug is indeed fixed.


Note You need to log in before you can comment on or make changes to this bug.